<?xml version="1.0" encoding="utf-8" standalone="no" ?>
<vehicle type="MGSHook">
    <annotation>Copyright (C) GIANTS Software GmbH, All Rights Reserved.</annotation>

    <storeData>
        <name>Tow Hook</name>
        <specs>
            <combination>Mercedes Service Pack</combination>
        </specs>
		<functions>
            <function>$l10n_function_towHook</function>
        </functions>
        <image>hook_Storeicon.dds</image>
        <price>50</price>
        <lifetime>600</lifetime>
        <rotation>0</rotation>
        <brand>MGSMERCEDES</brand>
        <category>MGSMRCSERV</category>
        <shopHeight>1</shopHeight>
        <vertexBufferMemoryUsage>59232</vertexBufferMemoryUsage>
        <indexBufferMemoryUsage>9060</indexBufferMemoryUsage>
        <textureMemoryUsage>5592496</textureMemoryUsage>
        <instanceVertexBufferMemoryUsage>0</instanceVertexBufferMemoryUsage>
        <instanceIndexBufferMemoryUsage>0</instanceIndexBufferMemoryUsage>
    </storeData>

    <base>
        <typeDesc>$l10n_typeDesc_towHook</typeDesc>
        <filename>TowHook.i3d</filename>
        <size width="2" length="2" />
        <components>
            <component centerOfMass="0 0.05 0" solverIterationCount="20" mass="50" />
        </components>
        <schemaOverlay attacherJointPosition="0 0">
            <default name="DEFAULT_IMPLEMENT"/>
            <selected name="DEFAULT_IMPLEMENT_SELECTED"/>
        </schemaOverlay>
    </base>
	
	
	<tensionBeltObject>
		<meshNodes>
			<meshNode node="visual"/>
		</meshNodes>
	</tensionBeltObject>

    <attachable>
        <inputAttacherJoints>
            <inputAttacherJoint node="trailerAttacherJoint" jointType="trailer" rootNode="Hook_main" attacherHeight="0.251" />
            <inputAttacherJoint node="trailerAttacherJoint" jointType="trailerLow" rootNode="Hook_main" attacherHeight="0.251" />
			<inputAttacherJoint node="trailerAttacherJoint" jointType="semitrailerHook" rootNode="Hook_main" attacherHeight="0.251" />
			<inputAttacherJoint node="trailerAttacherJoint1" jointType="skidSteer" rootNode="Hook_main"/>
        </inputAttacherJoints>
    </attachable>
	
	<tensionBelts >
        <tensionBeltsConfigurations>
            <tensionBeltsConfiguration >
                <tensionBelts linkNode="0>4" jointNode="0>" width="0.015" maxEdgeLength="0.1" geometryBias="0.01" ratchetPosition="0.2" defaultOffset="0.1" defaultOffsetSide="0.1" defaultHeight="2">
                    <tensionBelt startNode="0>4|0" endNode="0>4|0|0" offsetLeft="0.2" />
                </tensionBelts>
            </tensionBeltsConfiguration>
			
        </tensionBeltsConfigurations>
    </tensionBelts>
	
	<baseMaterial>
        <material name="hook" baseNode="visual">
            <shaderParameter name="colorMat0" value="SHARED_BLACK2"/>
			<shaderParameter name="colorMat1" value="SHARED_BLACK2"/>
        </material>
    </baseMaterial>
	
	<baseMaterialConfigurations price="0" useDefaultColors="true" defaultColorIndex="8">       
        <baseMaterialConfiguration name="New Silver" color="SHARED_GREY2" material="27"/>
        <baseMaterialConfiguration name="Scarlet Red"  color="CASEIH_RED1" material="27"/>
        <baseMaterialConfiguration name="Pearl White"  color="STOLL_WHITE2" material="27"/>
        <baseMaterialConfiguration name="Gun Metal"  color="SHARED_GREY5" material="27"/>
        <baseMaterialConfiguration name="Blaze Orange"  color="FLIEGL_ORANGE1" material="27"/>
        <baseMaterialConfiguration name="Nitro Blue"  color="NEWHOLLAND_BLUE1" material="27"/>
        <baseMaterialConfiguration name="Deep Blue"  color="HATZENBICHLER_DARKBLUE1" material="27"/>
        <baseMaterialConfiguration name="Deer Green"  color="JOHNDEERE_GREEN1" material="27"/>
        <baseMaterialConfiguration name="Deer Yellow"  color="JOHNDEERE_YELLOW1" material="27"/>
        <baseMaterialConfiguration name="SILVER"        color="SHARED_GREY2"        material="27" price="2000"/>
        <baseMaterialConfiguration name="CHARCOAL"      color="SHARED_GREY5"        material="27" price="2000"/>
        <baseMaterialConfiguration name="LINE X"        color="0.016 0.016 0.016"   material="25" price="2000"/>
        <baseMaterialConfiguration name="BLACK CHERRY"  color="0.010 0 0 1"         material="27" price="2000"/>
        <baseMaterialConfiguration name="ICONIK BLUE"   color="FENDT_VIOLET1"       material="27" price="2000"/>
        <baseMaterialConfiguration name="TURQUOISE"     color="GOLDHOFER_GREEN1"    material="27" price="2000"/>
        <baseMaterialConfiguration name="MIDNIGHT BLUE" color="0.001 0 0.015 1"     material="27" price="2000"/>
        <baseMaterialConfiguration name="BURNT ORANGE"  color="0.5 0.08 0.0046 1"   material="27" price="2000"/>
        <baseMaterialConfiguration name="CHROME"        color="SHARED_WHITE2"       material="2" price="2500"/>
        <baseMaterialConfiguration name="GOLD"          color="KRONE_YELLOW1"       material="2" price="2500"/>
        <baseMaterialConfiguration name="BLACK CHROME"  color="SHARED_BLACK2"       material="2" price="2500"/>
        <baseMaterialConfiguration name="RED CHROME"    color="CASEIH_RED1"         material="2" price="2500"/>
        <baseMaterialConfiguration name="BLUE CHROME"   color="NEWHOLLAND_BLUE1"    material="2" price="2500"/>
        <baseMaterialConfiguration name="GREEN CHROME"  color="KRONE_GREEN1"        material="2" price="2500"/>
        <baseMaterialConfiguration name="YELLOW CHROME" color="JOHNDEERE_YELLOW1"   material="2" price="2500"/>
        <baseMaterialConfiguration name="ORANGE CHROME" color="STARA_ORANGE"        material="2" price="2500"/>
        <baseMaterialConfiguration name="STAINLESS"     color="SHARED_WHITE2"       material="3" price="2000"/>
        <baseMaterialConfiguration name="GOLD CANDY"    color="KRONE_YELLOW1"       material="33" price="2000"/>
        <baseMaterialConfiguration name="BLACK CANDY"   color="SHARED_BLACK2"       material="33" price="2000"/>
        <baseMaterialConfiguration name="RED CANDY"     color="CASEIH_RED1"         material="33" price="2000"/>
        <baseMaterialConfiguration name="BLUE CANDY"    color="NEWHOLLAND_BLUE1"    material="33" price="2000"/>
        <baseMaterialConfiguration name="GREEN CANDY"   color="KRONE_GREEN1"        material="33" price="2000"/>
        <baseMaterialConfiguration name="YELLOW CANDY"  color="JOHNDEERE_YELLOW1"   material="33" price="2000"/>
        <baseMaterialConfiguration name="ORANGE CANDY"  color="STARA_ORANGE"        material="33" price="2000"/>
        <baseMaterialConfiguration name="WHITE METALIC"     color="SHARED_WHITE2"       material="33" price="1500"/>
        <baseMaterialConfiguration name="TAN METALIC "      color="KRONE_YELLOW1"       material="33" price="1500"/>
        <baseMaterialConfiguration name="BLACK METALIC"     color="SHARED_BLACK2"       material="33" price="1500"/>
        <baseMaterialConfiguration name="RED METALIC"       color="CASEIH_RED1"         material="33" price="1500"/>
        <baseMaterialConfiguration name="BLUE METALIC"      color="NEWHOLLAND_BLUE1"    material="33" price="1500"/>
        <baseMaterialConfiguration name="GREEN METALIC"     color="KRONE_GREEN1"        material="33" price="1500"/>
        <baseMaterialConfiguration name="YELLOW METALIC"    color="JOHNDEERE_YELLOW1"   material="33" price="1500"/>
        <baseMaterialConfiguration name="ORANGE METALIC"    color="STARA_ORANGE"        material="33" price="1500"/>
        <baseMaterialConfiguration name="WHITE MATTE"   color="SHARED_WHITE2"       material="1" price="1250"/>
        <baseMaterialConfiguration name="TAN MATTE"     color="KRONE_YELLOW1"       material="1" price="1250"/>
        <baseMaterialConfiguration name="BLACK MATTE"   color="SHARED_BLACK2"       material="1" price="1250"/>
        <baseMaterialConfiguration name="RED MATTE"     color="CASEIH_RED1"         material="1" price="1250"/>
        <baseMaterialConfiguration name="BLUE MATTE"    color="NEWHOLLAND_BLUE1"    material="1" price="1250"/>
        <baseMaterialConfiguration name="GREEN MATTE"   color="KRONE_GREEN1"        material="1" price="1250"/>
        <baseMaterialConfiguration name="YELLOW MATTE"  color="JOHNDEERE_YELLOW1"   material="1" price="1250"/>
        <baseMaterialConfiguration name="ORANGE MATTE"  color="STARA_ORANGE"        material="1" price="1250"/>
        <baseMaterialConfiguration name="KRONE GREEN"       color="KRONE_GREEN1"            material="0" price="1000"/>
        <baseMaterialConfiguration name="KRONE YELLOW"      color="KRONE_YELLOW1"           material="0" price="1000"/>
        <baseMaterialConfiguration name="CLAAS"             color="0.4 0.6 0.02 1.0"        material="0" price="1000"/>
        <baseMaterialConfiguration name="CLAAS US"          color="0.800 0.443 0.008 1.0"   material="0" price="1000"/>
        <baseMaterialConfiguration name="NEWHOLLAND YELLOW" color="NEWHOLLAND_YELLOW1"      material="0" price="1000"/>
        <baseMaterialConfiguration name="BROWN"             color="SHARED_BROWN1"           material="0" price="1000"/>
        <baseMaterialConfiguration name="CYAN"              color="KOMATSU_CYAN"            material="0" price="1000"/>
        <baseMaterialConfiguration name="HUSQVARNA"         color="HUSQVARNA_ORANGE1"       material="0" price="1000"/>
        <baseMaterialConfiguration name="Black Chrome" color="SHARED_BLACK2" material="2" />
        <baseMaterialConfiguration name="Chrome" color="SHARED_WHITE2" material="2"/>
        <baseMaterialConfiguration name="Silver Metallic" color="ITRUNNER_WHITE1" material="27"/>
        <baseMaterialConfiguration name="Blue Metallic" color="FLIEGL_BLUE1" material="33" />
        <baseMaterialConfiguration name="Purple Metallic" color="LIZARD_PURPLE1" material="33" />
        <baseMaterialConfiguration name="Orange Metallic" color="FIAT_ORANGEPAINT" material="33" />
        <baseMaterialConfiguration name="Black Metallic" color="FIAT_BLACKPAINT"  material="33" />
	    <material name="hook" shaderParameter="colorMat0" />
    </baseMaterialConfigurations>
	
	<designMaterialConfigurations price="0" useDefaultColors="true" defaultColorIndex="6">
        <designMaterialConfiguration name="Stock" color="0.016 0.016 0.016" material="33"/>
        <designMaterialConfiguration name="New Silver" color="SHARED_GREY2" material="27"/>
        <designMaterialConfiguration name="Scarlet Red"  color="CASEIH_RED1" material="27"/>
        <designMaterialConfiguration name="Pearl White"  color="STOLL_WHITE2" material="27"/>
        <designMaterialConfiguration name="Gun Metal"  color="SHARED_GREY5" material="27"/>
        <designMaterialConfiguration name="Blaze Orange"  color="FLIEGL_ORANGE1" material="27"/>
        <designMaterialConfiguration name="Nitro Blue"  color="NEWHOLLAND_BLUE1" material="27"/>
        <designMaterialConfiguration name="Deep Blue"  color="HATZENBICHLER_DARKBLUE1" material="27"/>
        <designMaterialConfiguration name="Deer Green"  color="JOHNDEERE_GREEN1" material="27"/>
        <designMaterialConfiguration name="Deer Yellow"  color="JOHNDEERE_YELLOW1" material="27"/>
        <designMaterialConfiguration name="SILVER"        color="SHARED_GREY2"        material="27" price="2000"/>
        <designMaterialConfiguration name="CHARCOAL"      color="SHARED_GREY5"        material="27" price="2000"/>
        <designMaterialConfiguration name="LINE X"        color="0.016 0.016 0.016"   material="25" price="2000"/>
        <designMaterialConfiguration name="BLACK CHERRY"  color="0.010 0 0 1"         material="27" price="2000"/>
        <designMaterialConfiguration name="ICONIK BLUE"   color="FENDT_VIOLET1"       material="27" price="2000"/>
        <designMaterialConfiguration name="TURQUOISE"     color="GOLDHOFER_GREEN1"    material="27" price="2000"/>
        <designMaterialConfiguration name="MIDNIGHT BLUE" color="0.001 0 0.015 1"     material="27" price="2000"/>
        <designMaterialConfiguration name="BURNT ORANGE"  color="0.5 0.08 0.0046 1"   material="27" price="2000"/>
        <designMaterialConfiguration name="CHROME"        color="SHARED_WHITE2"       material="2" price="2500"/>
        <designMaterialConfiguration name="GOLD"          color="KRONE_YELLOW1"       material="2" price="2500"/>
        <designMaterialConfiguration name="BLACK CHROME"  color="SHARED_BLACK2"       material="2" price="2500"/>
        <designMaterialConfiguration name="RED CHROME"    color="CASEIH_RED1"         material="2" price="2500"/>
        <designMaterialConfiguration name="BLUE CHROME"   color="NEWHOLLAND_BLUE1"    material="2" price="2500"/>
        <designMaterialConfiguration name="GREEN CHROME"  color="KRONE_GREEN1"        material="2" price="2500"/>
        <designMaterialConfiguration name="YELLOW CHROME" color="JOHNDEERE_YELLOW1"   material="2" price="2500"/>
        <designMaterialConfiguration name="ORANGE CHROME" color="STARA_ORANGE"        material="2" price="2500"/>
        <designMaterialConfiguration name="STAINLESS"     color="SHARED_WHITE2"       material="3" price="2000"/>
        <designMaterialConfiguration name="GOLD CANDY"    color="KRONE_YELLOW1"       material="33" price="2000"/>
        <designMaterialConfiguration name="BLACK CANDY"   color="SHARED_BLACK2"       material="33" price="2000"/>
        <designMaterialConfiguration name="RED CANDY"     color="CASEIH_RED1"         material="33" price="2000"/>
        <designMaterialConfiguration name="BLUE CANDY"    color="NEWHOLLAND_BLUE1"    material="33" price="2000"/>
        <designMaterialConfiguration name="GREEN CANDY"   color="KRONE_GREEN1"        material="33" price="2000"/>
        <designMaterialConfiguration name="YELLOW CANDY"  color="JOHNDEERE_YELLOW1"   material="33" price="2000"/>
        <designMaterialConfiguration name="ORANGE CANDY"  color="STARA_ORANGE"        material="33" price="2000"/>
        <designMaterialConfiguration name="WHITE METALIC"     color="SHARED_WHITE2"       material="33" price="1500"/>
        <designMaterialConfiguration name="TAN METALIC "      color="KRONE_YELLOW1"       material="33" price="1500"/>
        <designMaterialConfiguration name="BLACK METALIC"     color="SHARED_BLACK2"       material="33" price="1500"/>
        <designMaterialConfiguration name="RED METALIC"       color="CASEIH_RED1"         material="33" price="1500"/>
        <designMaterialConfiguration name="BLUE METALIC"      color="NEWHOLLAND_BLUE1"    material="33" price="1500"/>
        <designMaterialConfiguration name="GREEN METALIC"     color="KRONE_GREEN1"        material="33" price="1500"/>
        <designMaterialConfiguration name="YELLOW METALIC"    color="JOHNDEERE_YELLOW1"   material="33" price="1500"/>
        <designMaterialConfiguration name="ORANGE METALIC"    color="STARA_ORANGE"        material="33" price="1500"/>
        <designMaterialConfiguration name="WHITE MATTE"   color="SHARED_WHITE2"       material="1" price="1250"/>
        <designMaterialConfiguration name="TAN MATTE"     color="KRONE_YELLOW1"       material="1" price="1250"/>
        <designMaterialConfiguration name="BLACK MATTE"   color="SHARED_BLACK2"       material="1" price="1250"/>
        <designMaterialConfiguration name="RED MATTE"     color="CASEIH_RED1"         material="1" price="1250"/>
        <designMaterialConfiguration name="BLUE MATTE"    color="NEWHOLLAND_BLUE1"    material="1" price="1250"/>
        <designMaterialConfiguration name="GREEN MATTE"   color="KRONE_GREEN1"        material="1" price="1250"/>
        <designMaterialConfiguration name="YELLOW MATTE"  color="JOHNDEERE_YELLOW1"   material="1" price="1250"/>
        <designMaterialConfiguration name="ORANGE MATTE"  color="STARA_ORANGE"        material="1" price="1250"/>
        <designMaterialConfiguration name="KRONE GREEN"       color="KRONE_GREEN1"            material="0" price="1000"/>
        <designMaterialConfiguration name="KRONE YELLOW"      color="KRONE_YELLOW1"           material="0" price="1000"/>
        <designMaterialConfiguration name="CLAAS"             color="0.4 0.6 0.02 1.0"        material="0" price="1000"/>
        <designMaterialConfiguration name="CLAAS US"          color="0.800 0.443 0.008 1.0"   material="0" price="1000"/>
        <designMaterialConfiguration name="NEWHOLLAND YELLOW" color="NEWHOLLAND_YELLOW1"      material="0" price="1000"/>
        <designMaterialConfiguration name="BROWN"             color="SHARED_BROWN1"           material="0" price="1000"/>
        <designMaterialConfiguration name="CYAN"              color="KOMATSU_CYAN"            material="0" price="1000"/>
        <designMaterialConfiguration name="HUSQVARNA"         color="HUSQVARNA_ORANGE1"       material="0" price="1000"/>
        <designMaterialConfiguration name="Black Chrome" color="SHARED_BLACK2" material="2" />
        <designMaterialConfiguration name="Chrome" color="SHARED_WHITE2" material="2"/>
        <designMaterialConfiguration name="Silver Metallic" color="ITRUNNER_WHITE1" material="27"/>
        <designMaterialConfiguration name="Blue Metallic" color="FLIEGL_BLUE1" material="33" />
        <designMaterialConfiguration name="Purple Metallic" color="LIZARD_PURPLE1" material="33" />
        <designMaterialConfiguration name="Orange Metallic" color="FIAT_ORANGEPAINT" material="33" />
        <designMaterialConfiguration name="Black Metallic" color="FIAT_BLACKPAINT"  material="33" />
		<material name="hook" shaderParameter="colorMat1" />		
    </designMaterialConfigurations>
	
	
    <wearable wearDuration="480" workMultiplier="5" fieldMultiplier="2"/>
    <washable dirtDuration="90" washDuration="1" workMultiplier="6" fieldMultiplier="2"/>

    <i3dMappings>
        <i3dMapping id="Hook_main" node="0>" />
        <i3dMapping id="visual" node="0>0" />
        <i3dMapping id="trailerAttacherJoint" node="0>2" />
		<i3dMapping id="trailerAttacherJoint1" node="0>3" />
        <i3dMapping id="collisions" node="0>1" />
        <i3dMapping id="col1" node="0>3|0" />
    </i3dMappings>
</vehicle>
